import 'dart:async';
import 'package:flutter/material.dart';

extension FutureX<T> on Future<T> {
  Stream<T> toStream() => Stream.fromFuture(this);
}

Future postFrameFuture(FutureOr Function() callback) {
  final c = Completer();
  WidgetsBinding.instance?.addPostFrameCallback((_) async {
    await callback();
    c.complete();
  });
  return c.future;
}
